<?php
namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_features_box extends Widget_Base {

	public function get_name() {
		return 'Elementor-features-widget';
	}

	public function get_title() {
		return __( 'Zc >  Features Box' ,'indobi' );
	}

	public function get_icon() {
		
		return 'eicon-icon-box';
	}

	protected function _register_controls() {
		$traits = new \indobi_Elementor_Traits($this);
		
		$this->start_controls_section(
			'services_section',
			['label' => esc_html__( 'Features','indobi'),]
		);
        
        $this->add_control(

			'text_heading',
			[
				'label' => esc_html__( 'Text Heading' ,'indobi'),
				'type' => Controls_Manager::TEXT,
			]
			);
        
		$this->add_control(
			'service_section',
			[
				'label' => esc_html__( 'Repeator Text','indobi'),
				'type' => Controls_Manager::REPEATER,
				'fields' => [
                    
					[                    
						'name' => 'feature-img',
						'label' => esc_html__( 'Feature Image' ,'indobi' ),
						'type' => Controls_Manager::MEDIA,
					],
					[                    
						'name' => 'icon',
						'label' => esc_html__( 'Icon' ,'indobi' ),
						'type' => Controls_Manager::MEDIA,
					],
                              
					[                    
						'name' => 'increment',
						'label' => esc_html__( 'Increment' ,'indobi' ),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [					
						'name' => 'text',
						'label' => esc_html__( 'Heading','indobi'),
						'type' => Controls_Manager::TEXT,
					],
                    
                    [					
						'name' => 'content',
						'label' => esc_html__( 'Content','indobi'),
						'type' => Controls_Manager::TEXTAREA,
					],
					[
						'name' => 'button-text',
						'label' => esc_html__( 'Button Text' ,'indobi' ),
						'type' => Controls_Manager::TEXT,
					],
					[
						'name' => 'button-link',
						'label' => esc_html__( 'Button URL' ,'indobi' ),
						'type' => Controls_Manager::URL,
					],
                    
				],
			]
		);
         
		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {

		indobi_el()->get_section('features', [
            
			'service_section_var' => $this->get_settings('service_section'),
			'column_section_data' => $this->get_settings('column_section'),
            'text_heading' => $this->get_settings('text_heading'),
			]);
	}

	protected function content_template() {}

	public function render_plain_content() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Elementor_features_box() );