<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Elementor_team_two extends Widget_Base {

    public function get_name() {

		return 'Elementor-team-two';

	}

	public function get_title() {

		return esc_html__( 'Zc >  Team Two' ,'indobi' );

	}

	public function get_icon() {

		return 'eicon-icon-box';

	}

	protected function _register_controls() {

		$traits = new \indobi_Elementor_Traits($this);

		$this->start_controls_section(

			'services_section',

			['label' => esc_html__( 'Our Team','indobi'),]

		);
        
          
        
         /////social link///
		$social_links_list = [
			[
				'name' => 'select_social_networks',
				'label' => esc_html__( 'Social Networks','indobi' ),
				'type' => Controls_Manager::HEADING,
			]
		];

		for ($i = 1; $i <= 5; $i++) {
			$social_links_list[] = [
				'name' => 'social_network_icon__' . $i,
				'label' => esc_html__( 'Icon','indobi' ),
				'type' => Controls_Manager::TEXT,
			];

			$social_links_list[] = [
				'name' => 'social_network_link__' . $i,
				'label' => esc_html__( 'URL','indobi' ),
				'type' => Controls_Manager::URL,
				'default' => [
					'url' => '',
					'is_external' => true,
				],
				'show_external' => false,
				'separator' => 'after',
			];
		}
        
		$this->add_control(
			'posts_per_page',
			[
				'label'   => esc_html__( 'Number of items to show', 'indobi' ),
				'type'    => Controls_Manager::NUMBER,
				'default' => 8,
			]
		);

		$this->end_controls_section();

	}

	protected function render( $instance = [] ) {
        
		indobi_el()->get_section('team-two', [

			'service_section_var1' => $this->get_settings('service_section1'),
			'posts_per_page' => $this->get_settings('posts_per_page'),
			
        ]);

	}

	protected function content_template() {}

	public function render_plain_content() {}

}
Plugin::instance()->widgets_manager->register_widget_type( new Elementor_team_two() );