<?php
/**
 * Post metaboxes configuration
 *
 * @package  indobi.
 */

add_filter( 'rwmb_meta_boxes', 'indobizc_register_meta_boxes' );
function indobizc_register_meta_boxes( $meta_boxes ) {
    $prefix = 'indobizc_';
	$meta_boxes[] = array(
        'id'         => 'Quote',
        'title'      => esc_html__( 'Post Quote', 'indobi' ),
        'post_types' => 'post',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Quote', 'indobi' ),
                'desc'  => esc_html__( 'Quote Text Add Here', 'indobi' ),
                'id'    => $prefix . 'post_quote',
                 'type'    => 'textarea',
            ),
        )
    );
	$meta_boxes[] = array(
        'id'         => 'Link',
        'title'      => esc_html__( 'Post Link', 'indobi' ),
        'post_types' => 'post',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Link', 'indobi' ),
                'desc'  => esc_html__( 'Link Add Here', 'indobi' ),
                'id'    => $prefix . 'post_link',
                 'type'    => 'text',
            ),
        )
    );
    $meta_boxes[] = array(
        'id'         => 'blog-sections',
        'title'      => esc_html__( 'Post Gallery', 'indobi' ),
        'post_types' => 'post',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(
            array(
                'name'  => esc_html__( 'Gallery', 'indobi' ),
                'desc'  => '',
                'id'    => $prefix . 'post_gallery',
                'type'             => 'image_advanced',

				// Delete file from Media Library when remove it from post meta?
				// Note: it might affect other posts if you use same file for multiple posts
				'force_delete'     => false,

				// Maximum file uploads.
				'max_file_uploads' => 10,

				// Do not show how many files uploaded/remaining.
				'max_status'       => 'false',

				// Image size that displays in the edit page.
				'image_size'       => 'thumbnail',
            ),
			
        )
    );
	$meta_boxes[] = array(
        'id'         => 'video-sections',
        'title'      => esc_html__( 'Post Video', 'indobi' ),
        'post_types' => 'post',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Video', 'indobi' ),
                'desc'  => esc_html__( 'Youtube & Viemo Url Add Here', 'indobi' ),
                'id'    => $prefix . 'post_video',
                'type'  => 'text',

				// Input size
				'size'  => 30,
            ),
        )
    );
	$meta_boxes[] = array(
        'id'         => 'audio-sections',
        'title'      => esc_html__( 'Post Audio', 'indobi' ),
        'post_types' => 'post',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Audio', 'indobi' ),
                'desc'  => esc_html__( 'Soundcloud Embed Ifram Add Here', 'indobi' ),
                'id'    => $prefix . 'post_audio',
                'type'  => 'text',

				// Input size
				'size'  => 30,
            ),
        )
    );
	


      $meta_boxes[] = array(
        'id'         => 'Banner',
        'title'      => esc_html__( 'Banner Img', 'indobi' ),
        'post_types' => 'portfolio',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Banner Img', 'indobi' ),
                'desc'  => esc_html__( 'Banner Img Text Here', 'indobi' ),
                'id'    => $prefix . 'post_banner',
                 'type'    => 'image_advanced',
            ),
        )
    );
	
	$meta_boxes[] = array(
        'id'         => 'team-postions-sections',
        'title'      => esc_html__( 'Team Post', 'indobi' ),
        'post_types' => 'team',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Team Post', 'indobi' ),
                'desc'  => esc_html__( 'Text Add Here', 'indobi' ),
                'id'    => $prefix . 'post_team_postions',
                'type'  => 'text',

				// Input size
				'size'  => 30,
            ),
        )
    );
    
    $meta_boxes[] = array(
        'id'         => 'team-social-sections',
        'title'      => esc_html__( 'Team Social Icons', 'indobi' ),
        'post_types' => 'team',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Team Social', 'indobi' ),
                'desc'  => esc_html__( 'Text Add Here', 'indobi' ),
                'id'    => $prefix . 'post_social',
                'type'  => 'textarea',

				// Input size
				'size'  => 50,
            ),
        )
    );
    
    $meta_boxes[] = array(
        'id'         => 'team-social-single-sections',
        'title'      => esc_html__( 'Team Social Single Icons', 'indobi' ),
        'post_types' => 'team',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Team Social', 'indobi' ),
                'desc'  => esc_html__( 'Text Add Here', 'indobi' ),
                'id'    => $prefix . 'post_single_social',
                'type'  => 'textarea',

				// Input size
				'size'  => 50,
            ),
        )
    );
    
    $meta_boxes[] = array(
        'id'         => 'service-icon-single-sections',
        'title'      => esc_html__( 'Team Social Single Icons', 'indobi' ),
        'post_types' => 'service',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(          
			 array(
                'name'  => esc_html__( 'Service Icon', 'indobi' ),
                'desc'  => esc_html__( 'Text Add Here', 'indobi' ),
                'id'    => $prefix . 'post_single_sicon',
                'type'  => 'textarea',

				// Input size
				'size'  => 50,
            ),
        )
    );
    
   
    // Add more meta boxes if you want
    // $meta_boxes[] = ...

    return $meta_boxes;
}